Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81361 - rpm need option to install just documentation
Summary: rpm need option to install just documentation
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-08 15:11 UTC by Nils Petter Vaskinn
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-29 18:56:25 UTC


Attachments (Terms of Use)

Description Nils Petter Vaskinn 2003-01-08 15:11:27 UTC
Description of problem:

Short:

rpm -i --justdocs foo.rpm


Long:

It could be potentially useful to be able to install just the documantation 
from an rpm package. e.g. if program foo is installed on a server I would 
be able to do "man foo" on another machine without actually installing the 
program.

This would eliminate the need for either installing a program that won't be 
used (think security, less program is better), copying man/html/whatever 
files out of the .rpm file or connecting (potentially slow) to the server 
where the files are

The option --justdocs would work as an exact opposite of --excludedoc

since rpm already knows how to exclude documentation it should be 
relatively easy to let it exclude everuthing except documentation


Version-Release number of selected component (if applicable):
NA


How reproducible:
NA

Steps to Reproduce:
NA
    
Actual results:
NA

Expected results:
NA

Additional info:
NA

Comment 1 Paul Nasrat 2005-09-29 18:56:25 UTC
This feature is not currently planned for RPM.  Should you wish this for
consideration raising with a patch on rpm-devel-list is the preferred route.

https://lists.dulug.duke.edu/mailman/listinfo/rpm-devel


Note You need to log in before you can comment on or make changes to this bug.